### Function

# Gimp progress_pulse

#### Declaration [src]

    gboolean
    gimp_progress_pulse (
      void
    )

#### Description [src]

Pulses the progress bar for the current plug-in.

Updates the progress bar for the current plug-in. It is only valid to call this procedure from a plug-in. Use this function instead of `gimp_progress_update()` if you cannot tell how much progress has been made. This usually causes the the progress bar to enter "activity mode", where a block bounces back and forth.

Available since: | 2.4

#### Return value

Returns: | `gboolean`
| TRUE on success.